%define version 1.6.2

Summary:   Desktop organizer application for the Palm Pilot
Name:      jpilot
Version:   %{version}
Release:   2%{?dist}
License:   GPLv2+
Group:     Applications/Productivity
Source:    http://jpilot.org/jpilot-%{version}.tar.gz
URL:       http://jpilot.org
Packager:  Judd Montgomery <judd@jpilot.org>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  pilot-link > 0.11.2
Buildrequires: pilot-link-devel > 0.11.2

%description
J-Pilot is a desktop organizer application for the palm pilot that runs
under Linux and Unix using X-Window and GTK+.  It is similar in
functionality to the one that 3Com distributes and has many features
not found in the 3Com desktop.

%prep

%setup -q

%build
if [ ! -f ./configure ]; then
  ./autogen.sh --prefix=/usr --mandir=%{_mandir} --libdir=%{_libdir} 
else
  %configure --prefix=/usr --mandir=%{_mandir} --libdir=%{_libdir} 
fi
#gzip -9f docs/*.1
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install docs/jpilot*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -d $RPM_BUILD_ROOT%{_datadir}/jpilot/
install jpilotrc.* $RPM_BUILD_ROOT%{_datadir}/jpilot/
install empty/*.pdb $RPM_BUILD_ROOT%{_datadir}/jpilot/
strip jpilot
install -d $RPM_BUILD_ROOT%{_bindir}
make DESTDIR=$RPM_BUILD_ROOT install 

#mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
#install -m644 icons/*.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
desktop-file-install  --vendor "fedora" --dir=%{buildroot}%{_datadir}/applications/ %{buildroot}%{_datadir}/applications/%{name}.desktop 
rm %{buildroot}%{_datadir}/applications/%{name}.desktop

%post

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*
%{_datadir}/%{name}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_libdir}/*
%{_docdir}/*
#/usr/share/pixmaps/*



%changelog
* Sat Mar 28 2009 Ismael Olea <ismael@olea.org>
- Updated for Fedora 10 and others
* Sat Sep 24 2005 Judd Montgomery <judd@jpilot.org>
- Updated for SuSE 9.3
* Sat Feb 22 2003 Judd Montgomery <judd@jpilot.org>
- fixed jpilotrc.* and empty/* files not being included
* Sat Feb 22 2003 Vladimir Bormotov <bor@insight.donbass.com>
- call autogen.sh if no configure found
- installation improvements
- Oct 8, 2002 <judd@jpilot.org>
  updated for automake build
* Tue Jun  5 2001 Christian W. Zuckschwerdt <zany@triq.net>
- moved jpilot.spec to jpilot.spec.in and autoconf'ed it.
- fixed this spec file so we don't need superuser privileges.
- changed the hardcoded path into rpm macros
* Wed Nov 22 2000 Matthew Vanecek <linux4us@home.com>
- deleted the calls to 'install' in the % install section since
  this is already done in the Makefile.
- Deleted the % attr tags from the % files list and made the default
  attribute to -,root,root.
- changed the /usr/ to % {prefix}/
- Added the % post section
- Added the % clean section
- Changed the description
